changeset 948:f92eb625c48d

- Don't use multichar constants since recent gcc complains - Add release script - Simplify print_version
author Matt Johnston <matt@ucc.asn.au>
date Sun, 27 Jul 2014 22:55:29 +0800
parents e4453b367db7
children 0d2d39957c02
files common-runopts.c dbutil.h release.sh runopts.h svr-runopts.c tcpfwd.h
diffstat 6 files changed, 49 insertions(+), 8 deletions(-) [+]
line wrap: on
line diff
--- a/common-runopts.c	Sun Jul 27 22:25:18 2014 +0800
+++ b/common-runopts.c	Sun Jul 27 22:55:29 2014 +0800
@@ -106,8 +106,8 @@
 }
 #endif
 
-void print_version(const char* name) {
-	fprintf(stderr, "Dropbear %s v%s\n", name, DROPBEAR_VERSION);
+void print_version() {
+	fprintf(stderr, "Dropbear v%s\n", DROPBEAR_VERSION);
 }
 
 
--- a/dbutil.h	Sun Jul 27 22:25:18 2014 +0800
+++ b/dbutil.h	Sun Jul 27 22:55:29 2014 +0800
@@ -62,9 +62,9 @@
 #endif
 
 enum dropbear_prio {
-	DROPBEAR_PRIO_DEFAULT = 'dffd',
-	DROPBEAR_PRIO_LOWDELAY = 'lddl',
-	DROPBEAR_PRIO_BULK = 'bllb',
+	DROPBEAR_PRIO_DEFAULT = 10,
+	DROPBEAR_PRIO_LOWDELAY = 11,
+	DROPBEAR_PRIO_BULK = 12,
 };
 
 char * stripcontrol(const char * text);
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/release.sh	Sun Jul 27 22:55:29 2014 +0800
@@ -0,0 +1,40 @@
+#!/bin/sh
+VERSION=$(echo '#include "sysoptions.h"\necho DROPBEAR_VERSION' | cpp - | sh)
+echo Releasing version "$VERSION" ...
+if ! head -n1 CHANGES | grep -q $VERSION ; then
+	echo "CHANGES needs updating"
+	exit 1
+fi
+
+if ! head -n1 debian/changelog | grep -q $VERSION ; then
+	echo "CHANGES needs updating"
+	exit 1
+fi
+
+head -n1 CHANGES
+
+#sleep 3
+
+RELDIR=$PWD/../dropbear-$VERSION
+ARCHIVE=${RELDIR}.tar.bz2
+if test -e $RELDIR; then
+	echo "$RELDIR exists"
+	exit 1
+fi
+
+if test -e $ARCHIVE; then
+	echo "$ARCHIVE exists"
+	exit 1
+fi
+
+hg archive "$RELDIR"  || exit 2
+
+(cd "$RELDIR" && autoconf && autoheader) || exit 2
+
+rm -r "$RELDIR/autom4te.cache" || exit 2
+
+(cd $RELDIR/.. && tar czf $ARCHIVE `basename "$RELDIR"`) || exit 2
+
+ls -l $ARCHIVE
+openssl sha1 $ARCHIVE
+echo "Done to $ARCHIVE"
--- a/runopts.h	Sun Jul 27 22:25:18 2014 +0800
+++ b/runopts.h	Sun Jul 27 22:55:29 2014 +0800
@@ -164,6 +164,6 @@
 void parse_ciphers_macs();
 #endif
 
-void print_version(const char* name);
+void print_version(void);
 
 #endif /* _RUNOPTS_H_ */
--- a/svr-runopts.c	Sun Jul 27 22:25:18 2014 +0800
+++ b/svr-runopts.c	Sun Jul 27 22:55:29 2014 +0800
@@ -268,7 +268,7 @@
 					break;
 #endif
 				case 'V':
-					print_version("server");
+					print_version();
 					exit(EXIT_SUCCESS);
 					break;
 				default:
--- a/tcpfwd.h	Sun Jul 27 22:25:18 2014 +0800
+++ b/tcpfwd.h	Sun Jul 27 22:55:29 2014 +0800
@@ -72,6 +72,7 @@
 int listen_tcpfwd(struct TCPListener* tcpinfo);
 int tcp_prio_inithandler(struct Channel* chan);
 
-#define CHANNEL_ID_TCPFORWARDED 'tcpf'
+/* A random identifier */
+#define CHANNEL_ID_TCPFORWARDED 0x43612c67
 
 #endif